## org.apache.jasper.compiler
Interface TagConstants

All Known Implementing Classes:
  JspDocumentParser, PageDataImpl

public interface TagConstants

Field Summary
`static java.lang.String` `JSP_DECLARATION_TAG`
`static java.lang.String` `JSP_DECLARATION_TAG_END`
`static java.lang.String` `JSP_DECLARATION_TAG_START`
`static java.lang.String` `JSP_EXPRESSION_TAG`
`static java.lang.String` `JSP_EXPRESSION_TAG_END`
`static java.lang.String` `JSP_EXPRESSION_TAG_START`
`static java.lang.String` `JSP_FALLBACK_TAG`
`static java.lang.String` `JSP_FORWARD_TAG`
`static java.lang.String` `JSP_GET_PROPERTY_TAG`
`static java.lang.String` `JSP_INCLUDE_DIRECTIVE_TAG`
`static java.lang.String` `JSP_INCLUDE_TAG`
`static java.lang.String` `JSP_PAGE_DIRECTIVE_TAG`
`static java.lang.String` `JSP_PARAM_TAG`
`static java.lang.String` `JSP_PARAMS_TAG`
`static java.lang.String` `JSP_PLUGIN_TAG`
`static java.lang.String` `JSP_ROOT_TAG`
`static java.lang.String` `JSP_ROOT_TAG_END`
`static java.lang.String` `JSP_SCRIPTLET_TAG`
`static java.lang.String` `JSP_SCRIPTLET_TAG_END`
`static java.lang.String` `JSP_SCRIPTLET_TAG_START`
`static java.lang.String` `JSP_SET_PROPERTY_TAG`
`static java.lang.String` `JSP_TEXT_TAG`
`static java.lang.String` `JSP_TEXT_TAG_END`
`static java.lang.String` `JSP_TEXT_TAG_START`
`static java.lang.String` `JSP_USE_BEAN_TAG`

Field Detail

### JSP_ROOT_TAG

    public static final java.lang.String JSP_ROOT_TAG

See Also:
  Constant Field Values

### JSP_ROOT_TAG_END

    public static final java.lang.String JSP_ROOT_TAG_END

See Also:
  Constant Field Values

### JSP_PAGE_DIRECTIVE_TAG

    public static final java.lang.String JSP_PAGE_DIRECTIVE_TAG

See Also:
  Constant Field Values

### JSP_INCLUDE_DIRECTIVE_TAG

    public static final java.lang.String JSP_INCLUDE_DIRECTIVE_TAG

See Also:
  Constant Field Values

### JSP_DECLARATION_TAG

    public static final java.lang.String JSP_DECLARATION_TAG

See Also:
  Constant Field Values

### JSP_DECLARATION_TAG_START

    public static final java.lang.String JSP_DECLARATION_TAG_START

See Also:
  Constant Field Values

### JSP_DECLARATION_TAG_END

    public static final java.lang.String JSP_DECLARATION_TAG_END

See Also:
  Constant Field Values

### JSP_SCRIPTLET_TAG

    public static final java.lang.String JSP_SCRIPTLET_TAG

See Also:
  Constant Field Values

### JSP_SCRIPTLET_TAG_START

    public static final java.lang.String JSP_SCRIPTLET_TAG_START

See Also:
  Constant Field Values

### JSP_SCRIPTLET_TAG_END

    public static final java.lang.String JSP_SCRIPTLET_TAG_END

See Also:
  Constant Field Values

### JSP_EXPRESSION_TAG

    public static final java.lang.String JSP_EXPRESSION_TAG

See Also:
  Constant Field Values

### JSP_EXPRESSION_TAG_START

    public static final java.lang.String JSP_EXPRESSION_TAG_START

See Also:
  Constant Field Values

### JSP_EXPRESSION_TAG_END

    public static final java.lang.String JSP_EXPRESSION_TAG_END

See Also:
  Constant Field Values

### JSP_USE_BEAN_TAG

    public static final java.lang.String JSP_USE_BEAN_TAG

See Also:
  Constant Field Values

### JSP_SET_PROPERTY_TAG

    public static final java.lang.String JSP_SET_PROPERTY_TAG

See Also:
  Constant Field Values

### JSP_GET_PROPERTY_TAG

    public static final java.lang.String JSP_GET_PROPERTY_TAG

See Also:
  Constant Field Values

### JSP_INCLUDE_TAG

    public static final java.lang.String JSP_INCLUDE_TAG

See Also:
  Constant Field Values

### JSP_FORWARD_TAG

    public static final java.lang.String JSP_FORWARD_TAG

See Also:
  Constant Field Values

### JSP_PARAM_TAG

    public static final java.lang.String JSP_PARAM_TAG

See Also:
  Constant Field Values

### JSP_PARAMS_TAG

    public static final java.lang.String JSP_PARAMS_TAG

See Also:
  Constant Field Values

### JSP_PLUGIN_TAG

    public static final java.lang.String JSP_PLUGIN_TAG

See Also:
  Constant Field Values

### JSP_FALLBACK_TAG

    public static final java.lang.String JSP_FALLBACK_TAG

See Also:
  Constant Field Values

### JSP_TEXT_TAG

    public static final java.lang.String JSP_TEXT_TAG

See Also:
  Constant Field Values

### JSP_TEXT_TAG_START

    public static final java.lang.String JSP_TEXT_TAG_START

See Also:
  Constant Field Values

### JSP_TEXT_TAG_END

    public static final java.lang.String JSP_TEXT_TAG_END

See Also:
  Constant Field Values

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.